Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229723 - "xm create" ignores pygrub-selected kernel
Summary: "xm create" ignores pygrub-selected kernel
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Martin Jenner
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 22:42 UTC by Stephen Tweedie
Modified: 2008-05-07 01:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:13:18 UTC


Attachments (Terms of Use)

Description Stephen Tweedie 2007-02-22 22:42:05 UTC
Description of problem:
If a user selects a non-default kernel from interactive pygrub on "xm create",
the default always still gets booted.

Version-Release number of selected component (if applicable):
xen-3.0.4-6.fc7

How reproducible:
100%

Steps to Reproduce:
1. xm create a guest
2. select a non-default kernel from the pygrub menu
  
Actual results:
Default kernel runs.

Expected results:
Selected kernel should run.

Additional info:
It looks like pygrub is being run by xend a second time, this time
non-interactively, so that the initially selected options get overwritten.

Comment 1 Red Hat Bugzilla 2007-07-25 00:06:14 UTC
change QA contact

Comment 2 Bug Zapper 2008-04-03 19:14:15 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 01:13:17 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.